final: prev:
{
  behaviortree-ros2 = final.callPackage ./behaviortree-ros2.nix {};
  btcpp-ros2-interfaces = final.callPackage ./btcpp-ros2-interfaces.nix {};
  btcpp-ros2-samples = final.callPackage ./btcpp-ros2-samples.nix {};
  cartesian-compliance-controller = final.callPackage ./cartesian-compliance-controller.nix {};
  cartesian-controller-base = final.callPackage ./cartesian-controller-base.nix {};
  cartesian-controller-handles = final.callPackage ./cartesian-controller-handles.nix {};
  cartesian-controller-utilities = final.callPackage ./cartesian-controller-utilities.nix {};
  cartesian-force-controller = final.callPackage ./cartesian-force-controller.nix {};
  cartesian-motion-controller = final.callPackage ./cartesian-motion-controller.nix {};
  cartesian-twist-controller = final.callPackage ./cartesian-twist-controller.nix {};
  dynamixel-sdk = prev.dynamixel-sdk.overrideAttrs ({ propagatedBuildInputs = [ prev.python3Packages.pyserial ]; });
  env-manager = final.callPackage ./env-manager.nix {};
  env-manager-interfaces = final.callPackage ./env-manager-interfaces.nix {};
  ffw = final.callPackage ./ffw.nix {};
  ffw-bringup = final.callPackage ./ffw-bringup.nix {};
  ffw-description = final.callPackage ./ffw-description.nix {};
  ffw-joint-trajectory-command-broadcaster = final.callPackage ./ffw-joint-trajectory-command-broadcaster.nix {};
  ffw-joystick-controller = (final.callPackage ./ffw-joystick-controller.nix {}).overrideAttrs ({
      propagatedBuildInputs ? [],...
    }:
    {
      propagatedBuildInputs = propagatedBuildInputs ++ [ prev.generate-parameter-library ];
    });
  ffw-moveit-config = final.callPackage ./ffw-moveit-config.nix {};
  ffw-spring-actuator-controller = (final.callPackage ./ffw-spring-actuator-controller.nix {}).overrideAttrs ({
      propagatedBuildInputs ? [],...
    }:
    {
      propagatedBuildInputs = propagatedBuildInputs ++ [ prev.kdl-parser ];
    });
  ffw-teleop = final.callPackage ./ffw-teleop.nix {};
  gym-gz = final.callPackage ./gym-gz.nix {};
  rbs-arm = final.callPackage ./rbs-arm.nix {};
  rbs-bringup = final.callPackage ./rbs-bringup.nix {};
  rbs-bt-executor = final.callPackage ./rbs-bt-executor.nix {};
  rbs-gym = final.callPackage ./rbs-gym.nix {};
  rbs-perception = final.callPackage ./rbs-perception.nix {};
  rbs-runtime = final.callPackage ./rbs-runtime.nix {};
  rbs-skill-interfaces = final.callPackage ./rbs-skill-interfaces.nix {};
  rbs-skill-servers = final.callPackage ./rbs-skill-servers.nix {};
  rbs-task-planner = final.callPackage ./rbs-task-planner.nix {};
  rbs-tests = final.callPackage ./rbs-tests.nix {};
  rbs-utils = final.callPackage ./rbs-utils.nix {};
  rbs-utils-interfaces = final.callPackage ./rbs-utils-interfaces.nix {};
  rbss-aruco-pe = final.callPackage ./rbss-aruco-pe.nix {};
  rbss-movetopose = final.callPackage ./rbss-movetopose.nix {};
  rbss-objectdetection = final.callPackage ./rbss-objectdetection.nix {};
  rbss-poseestimation = final.callPackage ./rbss-poseestimation.nix {};
  robonomics = final.callPackage ./robonomics.nix {};
  robot-builder = final.callPackage ./robot-builder.nix {};
  scenario = final.callPackage ./scenario.nix {};
}
