#!/usr/bin/env python3
"""
  Example of using demo recording to rosbag
  ```bash
  ros2 run rbs_utils example_recording_demo.py

  @shalenikol release 0.1
"""
from rbs_utils.recording_demo import recording_demo, CommandType

if __name__ == '__main__':
    res = recording_demo() # default: CommandType.RUN
    print(f"{res=}")
    res = recording_demo(CommandType.SAVE_AND_NEXT)
    print(f"{res=}")
    res = recording_demo(CommandType.CANCEL_AND_NEXT)
    print(f"{res=}")
    res = recording_demo(CommandType.STOP_AND_SAVE)
    print(f"{res=}")
